"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x1111282c0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x111128360>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x111128400>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1111284a0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x111128540>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x1111285e0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x111128680>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x111128720>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1111287c0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x111128860>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x111128900>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x1111289a0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x111128a40>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x111128ae0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x111128b80>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x111128c20>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x111128cc0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x111128d60>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x111128e00>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x111128ea0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x111128f40>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x111128fe0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x111129080>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x111129120>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x1111291c0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x111129260>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x111129300>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x1111293a0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x111129440>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x1111294e0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x111129580>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x111129620>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x1111296c0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x111129760>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x111129800>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x1111298a0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x111129940>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x1111299e0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x111129a80>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x111129b20>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x111129bc0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x111129c60>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x111129d00>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x111129da0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x111129e40>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x111129ee0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x111129f80>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x11112a020>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x11112a0c0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x11112a160>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x11112a200>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x11112a2a0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x11112a340>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x11112a3e0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x11112a480>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x11112a520>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x11112a5c0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x11112a660>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x11112a700>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x11112a7a0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x11112a840>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x11112a8e0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x11112a980>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x11112aa20>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x11112aac0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x11112ab60>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x11112ac00>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x11112aca0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x11112ad40>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x11112ade0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x11112ae80>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x11112af20>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x11112afc0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x11112b060>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x11112b100>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x11112b1a0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x11112b240>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x11112b2e0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x11112b380>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x11112b420>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x11112b4c0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x11112b600>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x11112b560>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x11112b6a0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x11112b740>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x11112b7e0>)]
name: str = 'fr_HOCCN'
